QwtPickerClickPointMachine(3)

NAME
QwtPickerClickPointMachine -

SYNOPSIS

Inherits QwtPickerMachine.

Detailed Description

A state machine for point selections. Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 75 of file qwt_picker_machine.h.

  Public Member Functions
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

Member Function Documentation

  QwtPickerMachine::CommandList QwtPickerClickPointMachine::transition (const QwtEventPattern &, const QEvent *) [virtual]

Transition.

Implements QwtPickerMachine.

Definition at line 44 of file qwt_picker_machine.cpp.

References QwtEventPattern::mouseMatch().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.